import { defineComponent as u, computed as V, createElementBlock as p, openBlock as v, Fragment as c, withDirectives as f, createVNode as t, unref as n, withCtx as m, renderSlot as y, createCommentVNode as $ } from "vue";
import { W as w, X as b, v as B, w as k, Y as C, $ as F } from "./index-CVEvAPNs.js";
import { u as U } from "./index-BFe8XjpO.js";
import { _ as g } from "./_description.vue_vue_type_script_setup_true_lang-COx4EYgl.js";
const D = /* @__PURE__ */ u({
  __name: "_video-formatter",
  props: {
    modelValue: {},
    icon: { type: [Object, Function] },
    disabled: { type: Boolean },
    round: { type: Boolean },
    removeable: { type: Boolean }
  },
  emits: ["update:modelValue", "remove"],
  setup(i, { emit: r }) {
    const e = i, d = r, l = V({
      get: () => e.modelValue,
      set: (o) => d("update:modelValue", o)
    });
    return (o, a) => (v(), p(c, null, [
      f(t(w, {
        video: l.value,
        "placeholder-icon": n(b),
        disabled: o.disabled,
        cursor: !o.disabled,
        round: o.round
      }, null, 8, ["video", "placeholder-icon", "disabled", "cursor", "round"]), [
        [n(B)]
      ]),
      t(n(k), { arrow: "" }, {
        default: m(() => [
          t(n(C), {
            label: "Video formatieren",
            icon: o.icon,
            modelValue: l.value,
            "onUpdate:modelValue": a[0] || (a[0] = (s) => l.value = s),
            removeable: o.removeable,
            onRemove: a[1] || (a[1] = (s) => o.$emit("remove"))
          }, {
            default: m(() => [
              y(o.$slots, "default")
            ]),
            _: 3
          }, 8, ["icon", "modelValue", "removeable"])
        ]),
        _: 3
      })
    ], 64));
  }
}), E = /* @__PURE__ */ u({
  __name: "video",
  props: {
    content: {},
    disabled: { type: Boolean }
  },
  setup(i) {
    return U(i.content, "video", new F()), (e, d) => e.content.video ? (v(), p(c, { key: 0 }, [
      t(n(D), {
        round: "",
        modelValue: e.content.video,
        "onUpdate:modelValue": d[0] || (d[0] = (l) => e.content.video = l),
        icon: n(b),
        disabled: e.disabled
      }, null, 8, ["modelValue", "icon", "disabled"]),
      t(n(g), {
        modelValue: e.content.description,
        "onUpdate:modelValue": d[1] || (d[1] = (l) => e.content.description = l),
        disabled: e.disabled
      }, null, 8, ["modelValue", "disabled"])
    ], 64)) : $("", !0);
  }
});
export {
  E as default
};
